Subject: bug#70525: [PATCH] Make auto-reveal customizations easier to extend

From: Arash Esbati <[email-masked]>
Date: Tue, 30 Apr 2024 12:54:59 +0200

Paul Nelson <[email-masked]> writes:

> I think essentially the same criticism applies.  What if the user has
> customized *-reveal to, say, '(eval (my-cool-function (my-arg-1
> my-arg-2))), with totally different semantics than the default?  Then
> the tweaks under "Clause added" would become meaningless.

Well, my answer would be: Don't use `eval' and do

  '(my-cool-function (my-arg-1 my-arg-2))

> Is the intent behind your suggestions that you'd like to keep the
> number of customizable variables low, or something else?

No, I think I'm trying to avoid the case where we introduce a new list
(custom option) which is probably not needed and we have to deal with it
only because of that `eval'.  Is that eval actually needed at all?

Best, Arash